import React, {Component} from "react";
import LoginForm from "../../components/Forms/LoginForm";
import {Col, Tabs} from "antd";
import RegisterForm from "../../components/Forms/RegisterForm";
import './UserPage.less'
import ForgetPasswordForm from "../../components/Forms/ForgetPasswordForm";

const {TabPane} = Tabs;

class UserPage extends Component {
    state = {
        loginStatus: "login",
        tagWidth: 8,
        tagOffset: 12,
    };

    handleLoginStatus = LoginStatus => {
        this.setState(
            {
                loginStatus: LoginStatus,
            }
        )
        if (LoginStatus === 'forget') {
            this.setState(
                {
                    tagWidth: 10,
                    tagOffset: 11,
                }
            )
        } else {
            this.setState(
                {
                    tagWidth: 8,
                    tagOffset: 12,
                }
            )
        }
    }

    render() {
        let {loginStatus, tagWidth, tagOffset} = this.state;
        const renderTabBar = (props, DefaultTabBar) => (

            <DefaultTabBar {...props} style={{width: '100%'}}/>

        );
        return (
            <Col span={tagWidth} offset={tagOffset} className={'UserCard'}>
                <Tabs
                    onChange={this.callback}
                    size={'large'}
                    animated={true}
                    centered={true}
                    tabBarGutter={50}
                    renderTabBar={renderTabBar}
                    defaultActiveKey="1"
                >
                    <TabPane tab={loginStatus === 'forget' ? "重置密码" : "登录"} key="1"
                             style={{padding: "20px 30px 10px"}}>
                        {
                            loginStatus === 'login' ?
                                <LoginForm handleLoginStatus={this.handleLoginStatus.bind(this)}/>
                                :
                                <ForgetPasswordForm handleLoginStatus={this.handleLoginStatus.bind(this)}/>
                        }
                    </TabPane>
                    <TabPane tab="注册" key="2" style={{padding: "20px 30px 0"}}>
                        <RegisterForm/>
                    </TabPane>
                </Tabs>
            </Col>
        );
    }
}

export default UserPage;